﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm2.aspx.cs" Inherits="RadSchedulerWebForm2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
		<Scripts>
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
			<asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
		</Scripts>
	</telerik:RadScriptManager>
        <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
	<script type="text/javascript">
	    //Put your JavaScript code here.

	    function hideActiveToolTip() {
	        var tooltip = Telerik.Web.UI.RadToolTip.getCurrent();
	        if (tooltip) {
	            tooltip.hide();
	        }
	    }

	    Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(beginRequestHandler);
	    function beginRequestHandler(sender, args) {
	        if (args.get_postBackElement().id.indexOf('RadScheduler1') != -1) {
	            hideActiveToolTip();
	        }
	    }

	    function OnClientRequestStart(sender, args) {
	        args.set_cancel(true);
	        var tooltip = Telerik.Web.UI.RadToolTip.getCurrent();
	        if (tooltip) {
	            var element = tooltip.get_targetControl();
	            var apt = $find("<%=RadScheduler1.ClientID %>").getAppointmentFromDomElement(element);
                $get("startTime").innerHTML = apt.get_start().format("MM/dd/yyyy HH:mm");
                $get("endTime").innerHTML = apt.get_end().format("MM/dd/yyyy HH:mm");
                $get("descriptionDiv").innerHTML = apt.get_subject();
                tooltip.set_text($get("contentContainer").innerHTML);
            }
        }

        function OnClientAppointmentContextMenu(sender, args) {
            hideActiveToolTip();
        }
    </script>
            </telerik:RadScriptBlock>
	<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
	    <AjaxSettings>
	        <telerik:AjaxSetting AjaxControlID="RadScheduler1">
	            <UpdatedControls>
	                <telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
                    <telerik:AjaxUpdatedControl ControlID="RadToolTipManager1" />
	            </UpdatedControls>
	        </telerik:AjaxSetting>
	    </AjaxSettings>
	</telerik:RadAjaxManager>
	 <telerik:RadScheduler runat="server" ID="RadScheduler1" OnClientAppointmentContextMenu="OnClientAppointmentContextMenu"
                    OnAppointmentCreated="RadScheduler1_AppointmentCreated" OnDataBound="RadScheduler1_DataBound">
                    <AdvancedForm Modal="true"></AdvancedForm>
                    <TimelineView UserSelectable="false"></TimelineView>
                    <TimeSlotContextMenuSettings EnableDefault="true"></TimeSlotContextMenuSettings>
                    <AppointmentContextMenuSettings EnableDefault="true"></AppointmentContextMenuSettings>
                </telerik:RadScheduler>
                <telerik:RadToolTipManager runat="server" ID="RadToolTipManager1" Width="320" Height="170" OnClientRequestStart="OnClientRequestStart"
                    Animation="None" HideEvent="Default" Text="Loading..." _OnAjaxUpdate="RadToolTipManager1_AjaxUpdate">
                </telerik:RadToolTipManager>
                <div style="display: none;">
                    <div id="contentContainer">
                        <div class="appointment-tooltip">
                            <p>
                                Starts on: <span id="startTime">
                                    <!-- -->
                                </span>
                                <br />
                                Ends on: <span id="endTime">
                                    <!-- -->
                                </span>
                            </p>
                            <hr />
                            Description:
                            <div id="descriptionDiv">
                            </div>
                        </div>
                    </div>
                </div>
    </form>
</body>
</html>
